Travis: unstable non-x86_64 jobs

05/25/2020 12:01 PM - jaruga (Jun Aruga)

Status: Closed   

Priority: Normal   

Assignee:    

Description

I would like to open this ticket to track and fix the issues for Travis non-x86_64 jobs, as I saw the following commits now.

Travis s390x-linux is too unstable

https://github.com/ruby/ruby/commit/f72bec2cea313f7a72a6f907f3dd64f766e917f6

It has caused errors by ENOSPC like

https://travis-ci.org/github/ruby/ruby/jobs/682520961 too often.

I cleared all cache of Travis yesterday, but it didn't help it. Until

somebody figures out how to fix it, let me exclude it from CI status

reports to avoid false alerts.

 Sorry not to response about the issue soon.

It seems the Travis non-x86_64 common issue is reported on the following Travis issue ticket.

And I will am asking it to fix the issue on the ticket now.

S390x Adding APT Sources - No usable temporary directory found - /tmp ENOSPC

https://travis-ci.community/t/8635

The “No space left on device” resp. “Disk quota exceeded” affects all the non-intel platforms (arm64, s390x, ppc64le),

presumably because they share some common infrastructure code and hence also the bugs in that.

History

#1 - 05/29/2020 08:17 PM - jaruga (Jun Aruga)

Related to the unstable non-x86_64 jobs in Travis, I am asking Drone CI to support ppc64le/s390x here.

https://discourse.drone.io/t/supporting-ppc64le-and-s390x/7385/

I understand Ruby project does not use Drone CI, as we need to use Python-like language to manage complicated configuration (example) in Drone

CI, rather than YAML.

The reason why of this action is because right now only Travis CI supports the native ppc64le/s390x, and I believe in that the free competition

between some CI services connects even the higher quality of the CI services.

#2 - 05/25/2021 01:09 PM - jaruga (Jun Aruga)

- Status changed from Open to Closed

I would close this ticket, as I think Travis is stable by the commit https://github.com/ruby/ruby/commit/9d4266fd5555c9c4388e2e8592008d0e0d8ccf21

now.

Powered by TCPDF (www.tcpdf.org)

06/08/2025 1/1

https://github.com/ruby/ruby/commit/f72bec2cea313f7a72a6f907f3dd64f766e917f6
https://travis-ci.org/github/ruby/ruby/jobs/682520961
https://travis-ci.community/t/8635
https://discourse.drone.io/t/supporting-ppc64le-and-s390x/7385/
https://github.com/nemequ/simde/blob/master/.drone.star
https://github.com/ruby/ruby/commit/9d4266fd5555c9c4388e2e8592008d0e0d8ccf21
http://www.tcpdf.org

